diff -ru ../serf-1.3.2.orig/SConstruct ./SConstruct
--- ../serf-1.3.2.orig/SConstruct	2013-10-04 08:11:04.000000000 -0700
+++ ./SConstruct	2013-10-04 23:09:57.000000000 -0700
@@ -146,7 +146,8 @@ if sys.platform == 'win32':
                  True),
     )
 
-env = Environment(variables=opts,
+env = Environment(ENV = {'PATH' : os.environ['PATH']},
+                  variables=opts,
                   tools=('default', 'textfile',),
                   CPPPATH=['.', ],
                   )
@@ -210,7 +210,9 @@
 # Unfortunately we can't set the .dylib compatibility_version option separately
 # from current_version, so don't use the PATCH level to avoid that build and
 # runtime patch levels have to be identical.
-env['SHLIBVERSION'] = '%d.%d.%d' % (MAJOR, MINOR, 0)
+
+# MacPorts: change PATCH to 0 when MINOR goes from 3 to 4.
+env['SHLIBVERSION'] = '%d.%d.%d' % (MAJOR, MINOR, PATCH)
 
 LIBNAME = 'libserf-%d' % (MAJOR,)
 if sys.platform != 'win32':
@@ -225,7 +225,7 @@ env.Append(RPATH=libdir,
 
 if sys.platform == 'darwin':
 #  linkflags.append('-Wl,-install_name,@executable_path/%s.dylib' % (LIBNAME,))
-  env.Append(LINKFLAGS='-Wl,-install_name,%s/%s.dylib' % (thisdir, LIBNAME,))
+  env.Append(LINKFLAGS='-Wl,-install_name,%s/%s.dylib' % (libdir, LIBNAME,))
 
 if sys.platform != 'win32':
   ### gcc only. figure out appropriate test / better way to check these
@@ -402,21 +402,6 @@ if CALLOUT_OKAY:
 install_static = env.Install(libdir, lib_static)
 install_shared = env.InstallVersionedLib(libdir, lib_shared)
 
-if sys.platform == 'darwin':
-  # Change the shared library install name (id) to its final name and location.
-  # Notes:
-  # If --install-sandbox=<path> is specified, install_shared_path will point
-  # to a path in the sandbox. We can't use that path because the sandbox is
-  # only a temporary location. The id should be the final target path.
-  # Also, we shouldn't use the complete version number for id, as that'll
-  # make applications depend on the exact major.minor.patch version of serf.
-
-  install_shared_path = install_shared[0].abspath
-  target_install_shared_path = os.path.join(libdir, '%s.dylib' % LIBNAME)
-  env.AddPostAction(install_shared, ('install_name_tool -id %s %s'
-                                     % (target_install_shared_path,
-                                        install_shared_path)))
-
 env.Alias('install-lib', [install_static, install_shared,
                           ])
 env.Alias('install-inc', env.Install(incdir, HEADER_FILES))
